<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:21 PST 2021 -->
<title>org.apache.nutch.util Class Hierarchy (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.nutch.util Class Hierarchy (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/urlfilter/validator/package-tree.html">Prev</a></li>
<li><a href="../../../../org/apache/nutch/util/domain/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/util/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.apache.nutch.util</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/CommandRunner.html" title="class in org.apache.nutch.util"><span class="typeNameLink">CommandRunner</span></a></li>
<li type="circle">org.apache.hadoop.conf.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configured.html?is-external=true" title="class or interface in org.apache.hadoop.conf"><span class="typeNameLink">Configured</span></a> (implements org.apache.hadoop.conf.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a>)
<ul>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/AbstractChecker.html" title="class in org.apache.nutch.util"><span class="typeNameLink">AbstractChecker</span></a> (implements org.apache.hadoop.util.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/util/Tool.html?is-external=true" title="class or interface in org.apache.hadoop.util">Tool</a>)</li>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/CrawlCompletionStats.html" title="class in org.apache.nutch.util"><span class="typeNameLink">CrawlCompletionStats</span></a> (implements org.apache.hadoop.util.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/util/Tool.html?is-external=true" title="class or interface in org.apache.hadoop.util">Tool</a>)</li>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/NutchTool.html" title="class in org.apache.nutch.util"><span class="typeNameLink">NutchTool</span></a></li>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/ProtocolStatusStatistics.html" title="class in org.apache.nutch.util"><span class="typeNameLink">ProtocolStatusStatistics</span></a> (implements org.apache.hadoop.util.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/util/Tool.html?is-external=true" title="class or interface in org.apache.hadoop.util">Tool</a>)</li>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/SitemapProcessor.html" title="class in org.apache.nutch.util"><span class="typeNameLink">SitemapProcessor</span></a> (implements org.apache.hadoop.util.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/util/Tool.html?is-external=true" title="class or interface in org.apache.hadoop.util">Tool</a>)</li>
</ul>
</li>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/DeflateUtils.html" title="class in org.apache.nutch.util"><span class="typeNameLink">DeflateUtils</span></a></li>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/DomUtil.html" title="class in org.apache.nutch.util"><span class="typeNameLink">DomUtil</span></a></li>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/DumpFileUtil.html" title="class in org.apache.nutch.util"><span class="typeNameLink">DumpFileUtil</span></a></li>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/EncodingDetector.html" title="class in org.apache.nutch.util"><span class="typeNameLink">EncodingDetector</span></a></li>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/FSUtils.html" title="class in org.apache.nutch.util"><span class="typeNameLink">FSUtils</span></a></li>
<li type="circle">org.apache.hadoop.io.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/GenericWritable.html?is-external=true" title="class or interface in org.apache.hadoop.io"><span class="typeNameLink">GenericWritable</span></a> (implements org.apache.hadoop.conf.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a>, org.apache.hadoop.io.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Writable.html?is-external=true" title="class or interface in org.apache.hadoop.io">Writable</a>)
<ul>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/GenericWritableConfigurable.html" title="class in org.apache.nutch.util"><span class="typeNameLink">GenericWritableConfigurable</span></a> (implements org.apache.hadoop.conf.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a>)</li>
</ul>
</li>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/GZIPUtils.html" title="class in org.apache.nutch.util"><span class="typeNameLink">GZIPUtils</span></a></li>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/HadoopFSUtil.html" title="class in org.apache.nutch.util"><span class="typeNameLink">HadoopFSUtil</span></a></li>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/JexlUtil.html" title="class in org.apache.nutch.util"><span class="typeNameLink">JexlUtil</span></a></li>
<li type="circle">org.apache.hadoop.mapreduce.task.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/task.JobContextImpl.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce"><span class="typeNameLink">JobContextImpl</span></a> (implements org.apache.hadoop.mapreduce.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/JobContext.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce">JobContext</a>)
<ul>
<li type="circle">org.apache.hadoop.mapreduce.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/Job.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce"><span class="typeNameLink">Job</span></a> (implements java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true" title="class or interface in java.lang">AutoCloseable</a>, org.apache.hadoop.mapreduce.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/JobContext.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce">JobContext</a>)
<ul>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/NutchJob.html" title="class in org.apache.nutch.util"><span class="typeNameLink">NutchJob</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/LockUtil.html" title="class in org.apache.nutch.util"><span class="typeNameLink">LockUtil</span></a></li>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/MimeUtil.html" title="class in org.apache.nutch.util"><span class="typeNameLink">MimeUtil</span></a></li>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/NodeWalker.html" title="class in org.apache.nutch.util"><span class="typeNameLink">NodeWalker</span></a></li>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/NutchConfiguration.html" title="class in org.apache.nutch.util"><span class="typeNameLink">NutchConfiguration</span></a></li>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/ObjectCache.html" title="class in org.apache.nutch.util"><span class="typeNameLink">ObjectCache</span></a></li>
<li type="circle">org.apache.hadoop.mapreduce.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/Reducer.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce"><span class="typeNameLink">Reducer</span></a>&lt;KEYIN,VALUEIN,KEYOUT,VALUEOUT&gt;
<ul>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/CrawlCompletionStats.CrawlCompletionStatsCombiner.html" title="class in org.apache.nutch.util"><span class="typeNameLink">CrawlCompletionStats.CrawlCompletionStatsCombiner</span></a></li>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/ProtocolStatusStatistics.ProtocolStatusStatisticsCombiner.html" title="class in org.apache.nutch.util"><span class="typeNameLink">ProtocolStatusStatistics.ProtocolStatusStatisticsCombiner</span></a></li>
</ul>
</li>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/SegmentReaderUtil.html" title="class in org.apache.nutch.util"><span class="typeNameLink">SegmentReaderUtil</span></a></li>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/StringUtil.html" title="class in org.apache.nutch.util"><span class="typeNameLink">StringUtil</span></a></li>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/TableUtil.html" title="class in org.apache.nutch.util"><span class="typeNameLink">TableUtil</span></a></li>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/TimingUtil.html" title="class in org.apache.nutch.util"><span class="typeNameLink">TimingUtil</span></a></li>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/TrieStringMatcher.html" title="class in org.apache.nutch.util"><span class="typeNameLink">TrieStringMatcher</span></a>
<ul>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/PrefixStringMatcher.html" title="class in org.apache.nutch.util"><span class="typeNameLink">PrefixStringMatcher</span></a></li>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/SuffixStringMatcher.html" title="class in org.apache.nutch.util"><span class="typeNameLink">SuffixStringMatcher</span></a></li>
</ul>
</li>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/TrieStringMatcher.TrieNode.html" title="class in org.apache.nutch.util"><span class="typeNameLink">TrieStringMatcher.TrieNode</span></a> (implements java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;T&gt;)</li>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/URLUtil.html" title="class in org.apache.nutch.util"><span class="typeNameLink">URLUtil</span></a></li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/urlfilter/validator/package-tree.html">Prev</a></li>
<li><a href="../../../../org/apache/nutch/util/domain/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/util/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
